#include <QApplication>
#include <QCoreApplication>
#include <QString>
#include <QStringList>
#include <QDate>
#include <QTime>
#include <QFile>
#include <QTextStream>

#include "mixfit.cpp"

#include <iostream>
#include <fstream>
#include <cstring>
#include <cstdlib>
#include <cmath>
#include <string>

char argument[100]="";
QStringList Switches;
using namespace std;

///////////////////////////////////////////////////////////////
void welcome()
{
  printf("\nMixFit v. 0.1\nInfo: tom@toomashaller.com\n\n");
}

////////////////////////////////////////////////////////////
int main(int argc, char *argv[])
{

QCoreApplication application(argc, argv); 
strcpy(argument,argv[0]); 
welcome();

int x;
for (x=1; x<argc; x++) printf("%d  %s\n",x, argv[x]);



        for (x=1; x<argc; x++) 
        { 
            if (x+1 != argc)
            {   
                 

                   if(strcmp(argv[x],"-step")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-plimit")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-file")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-out")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-ref")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-header")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-refheader")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-missing")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-delim")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-refpops")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-combinatorics")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-a1")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-a2")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-a3")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}
                   if(strcmp(argv[x],"-choosebest")==0) {Switches.append(argv[x]); Switches.append(argv[x+1]);}

            }
        }


QTime t; t.start();

char show[100];
QTime curTime = QTime::currentTime(); QString textTime = curTime.toString();
strcpy(show, textTime.toLocal8Bit().constData()); printf("\nSTART TIME: %s, ", show);
QDate curDate = QDate::currentDate(); QString textDate = curDate.toString();
strcpy(show, textDate.toLocal8Bit().constData()); printf("%s\n\n", show);
 

mixFit();

QTime curTime2 = QTime::currentTime(); QString textTime2 = curTime2.toString();
strcpy(show, textTime2.toLocal8Bit().constData()); printf("END TIME: %s, ", show);
QDate curDate2 = QDate::currentDate(); QString textDate2 = curDate2.toString();
strcpy(show, textDate2.toLocal8Bit().constData()); printf("%s\n\n", show);


int msecs = t.elapsed(); 
int secs = msecs/1000; int mins = msecs/(1000*60); int hours = msecs/(1000*60*60);

mins = mins - (60*hours);
secs = secs-(60*mins)-(60*60*hours);
msecs = msecs - (1000*secs) - (1000*60*mins) - (1000*60*60*hours);  

if(hours>0) printf("DONE in %i h %i min %i sec %i msec\n\n", hours, mins, secs, msecs);
else if (mins>0) printf("DONE in %i min %i sec %i msec\n\n", mins, secs, msecs);
else if (secs>0) printf("DONE in %i sec %i msec\n\n", secs, msecs);
else printf("DONE in %i msec\n\n", msecs);


Switches.clear();

return 0;
}

